<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>upcloud-base-wh-operate</artifactId>
        <groupId>com.prolog.upcloud</groupId>
        <version>1.0.0.QINGNIU-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>upcloud-base-wh-operate-service</artifactId>

    <dependencies>
        <dependency>
            <groupId>com.prolog.framework</groupId>
            <artifactId>plg-fx-starter</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>io.netty</groupId>
                    <artifactId>netty-all</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-logging</artifactId>
                </exclusion>
            </exclusions>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
        </dependency>

        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>upcloud-base-wh-operate-facade</artifactId>
        </dependency>
        <dependency>
            <artifactId>plg-platform-power-facade</artifactId>
            <groupId>com.prolog.cs.platform.power</groupId>
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>common-facade</artifactId>
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>item-facade</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>upcloud-base-inventory-facade</artifactId>
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>wh-facade</artifactId>
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>strategy-facade</artifactId>
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>base-chain-facade</artifactId>
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>base-wh-control-facade</artifactId>
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>outbound-facade</artifactId>
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>upcloud-base-wh-inbound-facade</artifactId>
        </dependency>
        <dependency>
            <groupId>com.prolog.cs</groupId>
            <artifactId>data-exchange-client</artifactId>
        </dependency>
        <dependency>
            <groupId>com.prolog.framework</groupId>
            <artifactId>plg-fx-starter-distributedLock</artifactId>
        </dependency>
        <dependency>
            <groupId>org.mapstruct</groupId>
            <artifactId>mapstruct</artifactId>
        </dependency>
    </dependencies>

    <distributionManagement>
        <repository>
            <id>releases</id>
            <url>http://192.168.0.167:8081/repository/releases/</url>
        </repository>
        <snapshotRepository>
            <id>snapshots</id>
            <url>http://192.168.0.167:8081/repository/snapshots/</url>
        </snapshotRepository>
    </distributionManagement>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.0.4.RELEASE</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
                <configuration>
                    <!-- <classifier>exec</classifier> -->
                    <executable>true</executable>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.1</version>
                <configuration>
                    <source>8</source>
                    <target>8</target>
                    <encoding>UTF-8</encoding>
                    <annotationProcessorPaths>
                        <path>
                            <groupId>org.mapstruct</groupId>
                            <artifactId>mapstruct-processor</artifactId>
                            <version>1.2.0.Final</version>
                        </path>
                        <path>
                            <groupId>org.projectlombok</groupId>
                            <artifactId>lombok</artifactId>
                            <version>1.18.14</version>
                        </path>
                    </annotationProcessorPaths>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <skipTests>true</skipTests>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>
